import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  UpdateCostCategoryDefinitionRequest,
  UpdateCostCategoryDefinitionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateCostCategoryDefinitionCommandInput
  extends UpdateCostCategoryDefinitionRequest {}
export interface UpdateCostCategoryDefinitionCommandOutput
  extends UpdateCostCategoryDefinitionResponse,
    __MetadataBearer {}
export declare class UpdateCostCategoryDefinitionCommand extends $Command<
  UpdateCostCategoryDefinitionCommandInput,
  UpdateCostCategoryDefinitionCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: UpdateCostCategoryDefinitionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateCostCategoryDefinitionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateCostCategoryDefinitionCommandInput,
    UpdateCostCategoryDefinitionCommandOutput
  >;
  private serialize;
  private deserialize;
}
